### Method

# Ide DiagnosticTool set_program_name

#### Declaration

    void
    ide_diagnostic_tool_set_program_name (
      IdeDiagnosticTool* self,
      const char* program_name
    )

#### Description

No description available.

Sets property | `Ide.DiagnosticTool:program-name`

#### Parameters

`program_name` | `const char*`
| No description available.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.